/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package studentcatalog;

import java.util.List;
import java.util.Set;

/**
 *
 * @author apple
 */
public interface Catalogue {
    
    /**
     * List of student's names.
     * @return unmodifiable set of students' names.
     */
    Set<String> getStudents();

    /**
     * Grades of the student
     * @param student students name
     * @return List of students results
     */
    List<Results> getGrades(String student);

    /**
     * Adds new result to the catalog
     * @param student student's name
     * @param study study name
     * @param grade grade
     */
    void add(String student,String study, int grade);

    /**
     * Stores data into the file.
     * @param filename name of the file
     */
    void store(String filename) throws CatalogueException;

    /**
     * Loads data from the file.
     * @param filename name of the file
     */
    void load(String filename) throws CatalogueException;
}
